Energia

Serial

## available()

#### Description

Get the number of bytes (characters) available for reading from the serial port. This is data that's already arrived and stored in the serial receive buffer (which holds 128 bytes). available() inherits from the Stream utility class.

### Syntax

Serial.available()

### Parameters

none

### Returns

the number of bytes available to read

### Example

    int incomingByte = 0;   // for incoming serial data

    void setup() {
            Serial.begin(9600);     // opens serial port, sets data rate to 9600 bps
    }

    void loop() {

            // send data only when you receive data:
            if (Serial.available() > 0) {
                    // read the incoming byte:
                    incomingByte = Serial.read();

                    // say what you got:
                    Serial.print("I received: ");
                    Serial.println(incomingByte, DEC);
            }
    }

#### See also

- Serial.read()
- Serial.flush()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes